#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;

uniform float u_left;
uniform float u_right;
uniform float u_time;

void main() {
	float height = 1.0 - v_texCoords.y;
	float offset = pow(height, 0.2);
	offset *= (0.2 * sin(u_time * 2));
	gl_FragColor = v_color * texture2D(u_texture, fract(vec2(v_texCoords.x + offset, v_texCoords.y)));
	
}

vec2 fract(vec2 v2) {
	vec2 v = vec2(v2);
	while(v.x > 1) {
		v.x -= 1;
	}
	while(v.x < 0) {
		v.x += 1;
	}
	while(v.y > 1) {
		v.y -= 1;
	}
	while(v.y < 0) {
		v.y += 1;
	}
	return v;
}
